rtp.h(3)

NAME
rtp.h - Generic and audio/video profile specific RTP interface of ccRTP.

SYNOPSIS

#include <ccrtp/cqueue.h>
#include <ccrtp/channel.h>

  Classes

class TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >

  Typedefs

typedef SingleThreadRTPSession RTPSession
UDP/IPv4 RTP Session scheduled by one thread of execution.
typedef RTPSession RTPSocket
typedef SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel > SymmetricRTPSession
Symmetric UDP/IPv4 RTP session scheduled by one thread of execution.

Detailed Description

Generic and audio/video profile specific RTP interface of ccRTP.

The classes and types in this header provide general RTP functionality (following RFC 3550) as well as audio/video RTP profile specific functionality (following RFC 3551).

Author

Generated automatically by Doxygen for ccRTP from the source code.